From c913f7709c2395dbc399df3d970b2ee30150eef0 Mon Sep 17 00:00:00 2001
From: tao <tao@sitebridge.co.jp>
Date: Thu, 29 Sep 2022 10:42:55 +0900
Subject: [PATCH] add sanitize to reminder titles

---
 app/views/gw/admin/piece/reminder/index.html.erb     | 3 ++-
 app/views/gw/admin/reminders/requests/index.html.erb | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/app/views/gw/admin/piece/reminder/index.html.erb b/app/views/gw/admin/piece/reminder/index.html.erb
index 7af26de..34a8edf 100644
--- a/app/views/gw/admin/piece/reminder/index.html.erb
+++ b/app/views/gw/admin/piece/reminder/index.html.erb
@@ -38,7 +38,8 @@ remind.sort{|a, b| b[:date_d] <=> a[:date_d]}.each do |x|
   c_s = %Q( class="#{c_s}") if !c_s.blank?
   icon_cls  = icon_clses.assoc(x[:c])
   icon_cls1 = icon_cls.blank? ? nil:icon_cls[1]
-  concat raw %Q(<tr#{c_s}><td class="date_ste">#{x[:date_str]}</td><td class="cls #{icon_cls1}"><span>#{x[:cls]}　：　</span></td><td class="title">#{x[:title]}</td></tr>)
+  title = sanitize(x[:title], tags: %w(table tr td a), attributes: %w(id class style href))
+  concat raw %Q(<tr#{c_s}><td class="date_ste">#{x[:date_str]}</td><td class="cls #{icon_cls1}"><span>#{x[:cls]}　：　</span></td><td class="title">#{title}</td></tr>)
 end
 %>
 </table></div>
diff --git a/app/views/gw/admin/reminders/requests/index.html.erb b/app/views/gw/admin/reminders/requests/index.html.erb
index 69aab93..a920c19 100644
--- a/app/views/gw/admin/reminders/requests/index.html.erb
+++ b/app/views/gw/admin/reminders/requests/index.html.erb
@@ -33,7 +33,8 @@ remind.sort{|a, b| b[:date_d] <=> a[:date_d]}.each do |x|
   c_s = %Q( class="#{c_s}") if !c_s.blank?
   icon_cls  = icon_clses.assoc(x[:c])
   icon_cls1 = icon_cls.blank? ? nil:icon_cls[1]
-  concat raw %Q(<tr#{c_s}><td class="date_ste">#{x[:date_str]}</td><td class="cls #{icon_cls1}"><span>#{x[:cls]}　：　</span></td><td class="title">#{x[:title]}</td></tr>)
+  title = sanitize(x[:title], tags: %w(table tr td a), attributes: %w(id class style href))
+  concat raw %Q(<tr#{c_s}><td class="date_ste">#{x[:date_str]}</td><td class="cls #{icon_cls1}"><span>#{x[:cls]}　：　</span></td><td class="title">#{title}</td></tr>)
 end
 %>
 <% end %>
